﻿@model DAweb.Models.POST

@{
    ViewBag.Title = "CreatePost";
    Layout = "~/Views/Layout/AdminLayout.cshtml";
}

@using (Html.BeginForm("CreatePost", "PostAdmin", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <script src="~/Ckeditor/ckeditor/ckeditor.js"></script>
    <script src="~/CKFinder/ckfinder/ckfinder.js"></script>

    @*<script src="https://cdn.ckeditor.com/4.9.1/standard/ckeditor.js"></script>*@
    <section class="content box-header">

        <div class="row">

         
                <div class="box box-info box-header">
                    <div class="box-header with-border">
                        <h3 class="box-title">Thêm Bài Viết</h3>
                    </div>

                    <tr>
                        <td class="selected">
                            <label>Tên bài viết</label>
                            <input type="text" required name="PostName" class="form-control">
                        </td>
                        <td class="selected">
                            <label>Nội Dung</label>
                            <textarea id="ckeContent" name="Description"></textarea>

                        </td>
                        <td class="selected">
                            <label>Mô tả ngắn</label>
                            <input type="text" required name="Short_Description" placeholder="" class="form-control">

                        </td>

                        @*<td class="selected">
                                <label>Danh mục sản phẩm</label>
                                @Html.Action("DanhMucAdmin", "AdminDanhMuc")
                            </td>*@
                        <td class="selected">
                            <label>Hình</label>
                            <input type="file" name="fileUpload" required>
                        </td>



                        <td class="btn CreatSP">
                            <input type="submit" name="insert" value="Tạo bài viết" class="btn btn-primary">
                        </td>
                        <td class="btn Cancel" onclick="return confirm('Bạn có chắc muốn hủy bài viết');">
                            @Html.ActionLink("Hủy", "DanhSachPostAdmin", "PostAdmin", null, new { @class = "btn btn-success" })
                        </td>

                    </tr>


                </div>
            </div>
        
    </section>


    <script>
        // Replace the <textarea id="editor1"> with a CKEditor
        // instance, using default configuration.
        CKEDITOR.replace('ckeContent');
        CKFinder.setupCKEditor(null, '/ckfinder');
    </script>
}


